name: Bug Report
description: File a bug report
title: "Your bug title goes here!"
labels: [bug, needs-triage]
body:
  - type: markdown
    attributes:
      value: |
        Thanks for taking the time to fill out this bug report!
        Before you create the issue:
        - Search for similar reports among other reported issues.
        - Learn how to troubleshoot at https://www.mautic.org/docs/en/tips/troubleshooting.html
#  - type: input
#    id: contact
#    attributes:
#      label: Contact Details
#      description: How can we get in touch with you if we need more info?
#      placeholder: ex. email@example.com
#    validations:
#      required: false
  - type: dropdown
    id: Mautic_Series
    attributes:
      label: Mautic Series
      description: What series of Mautic you are using? Please test to reproduce your bug with the [latest stable version of Mautic](https://www.mautic.org/mautic-releases) which might contain new fixes.  If you are able, please also check the latest development release.
      options:
        - 7.0.x series
        - 6.0.x series
        - 5.2.x series
        - 5.1.x series (not supported)
        - 5.0.x series (not supported)
        - 4.4.x series (not supported)
        - 4.3.x series (not supported)
        - 4.2.x series (not supported)
        - 4.1.x series (not supported)
        - 4.0.x series (not supported)
        - 3.3.x series (not supported)
    validations:
      required: true
  - type: input
    id: mautic_actual_version
    attributes:
      label: Mautic installed version
      description: What is the specific version of Mautic you're using? You can find this in the bottom right corner of your Mautic instance, or in the file ``app/release_metadata.json``.
      placeholder: ex. 6.0.0
    validations:
      required: true
  - type: dropdown
    id: Installation_type
    attributes:
      label: Way of installing
      description: How did you install Mautic?
      options:
        - I downloaded a release from https://www.mautic.org/mautic-releases
        - I installed with composer using https://github.com/mautic/recommended-project
        - I'm using a Docker image from https://hub.docker.com/r/mautic/mautic
        - I cloned the Mautic repo (not recommended or supported)
        - Other (please specify if relevant in the bug report)
    validations:
      required: true
  - type: input
    id: PHP_version
    attributes:
      label: PHP version
      description: What PHP version are you using in your environment?
      placeholder: ex. 8.2.0
    validations:
      required: true
  - type: dropdown
    id: browsers
    attributes:
      label: What browsers are you seeing the problem on?
      multiple: true
      options:
      - Firefox
      - Chrome
      - Safari
      - Microsoft Edge
      - Not relevant
  - type: textarea
    id: what_happened
    attributes:
      label: What happened?
      description: Also tell us, what did you expect to happen?
      value: "A bug happened!"
    validations:
      required: true
  - type: textarea
    id: how_to_reproduce
    attributes:
       label: How can we reproduce this issue?
       description: Explain to us carefully how we can reproduce the bug you faced.
       value: "Step 1: "
    validations:
      required: true
  - type: textarea
    id: logs
    attributes:
      label: Relevant log output
      description: Please copy and paste any relevant log output - you will usually find the logs in the var/logs folder of your Mautic instance and the current day's logs are displayed in example.com/s/sysinfo where example.com is your Mautic instance. This will be automatically formatted into code, so no need for backticks.  Please check to ensure that you are not sharing any sensitive information in your logs (replace with REDACTED as required)
      render: shell
  - type: checkboxes
    id: terms
    attributes:
      label: Code of Conduct
      description: By submitting this issue, you agree that you have read and agree to follow our [Code of Conduct](https://contribute.mautic.org/policies/code-of-conduct)
      options:
        - label: I confirm that I have read and agree to follow this project's Code of Conduct
          required: true
